org.yaml.snakeyaml.events

## Class CollectionStartEvent

- java.lang.Object
- - org.yaml.snakeyaml.events.Event
  - - org.yaml.snakeyaml.events.NodeEvent
    - - org.yaml.snakeyaml.events.CollectionStartEvent

Direct Known Subclasses:
  MappingStartEvent, SequenceStartEvent

    public abstract class CollectionStartEvent
    extends NodeEvent

Base class for the start events of the collection nodes.

### Nested Class Summary

### Nested classes/interfaces inherited from class org.yaml.snakeyaml.events.Event

`Event.ID`

### Constructor Summary

Constructors
Constructor and Description
`CollectionStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, Boolean flowStyle)` Deprecated.
`CollectionStartEvent(String anchor, String tag, boolean implicit, Mark startMark, Mark endMark, DumperOptions.FlowStyle flowStyle)`

### Method Summary

Methods
`protected String` `getArguments()` Generate human readable representation of the Event
`DumperOptions.FlowStyle` `getFlowStyle()` `true` if this collection is in flow style, `false` for block style.
`boolean` `getImplicit()` `true` if the tag can be omitted while this collection is emitted.
`String` `getTag()` Tag of this collection.
`boolean` `isFlow()`

### Methods inherited from class org.yaml.snakeyaml.events.NodeEvent

`getAnchor`

### Methods inherited from class org.yaml.snakeyaml.events.Event

`equals, getEndMark, getEventId, getStartMark, hashCode, is, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### CollectionStartEvent

    public CollectionStartEvent(String anchor,
                        String tag,
                        boolean implicit,
                        Mark startMark,
                        Mark endMark,
                        DumperOptions.FlowStyle flowStyle)

#### CollectionStartEvent

    @Deprecated
    public CollectionStartEvent(String anchor,
                                   String tag,
                                   boolean implicit,
                                   Mark startMark,
                                   Mark endMark,
                                   Boolean flowStyle)

Deprecated.

### Method Detail

#### getTag

    public String getTag()

Tag of this collection.

Returns:
  The tag of this collection, or `null` if no explicit tag is available.

#### getImplicit

    public boolean getImplicit()

`true` if the tag can be omitted while this collection is emitted.

Returns:
  True if the tag can be omitted while this collection is emitted.

#### getFlowStyle

    public DumperOptions.FlowStyle getFlowStyle()

`true` if this collection is in flow style, `false` for block style.

Returns:
  If this collection is in flow style.

#### getArguments

    protected String getArguments()

Description copied from class: `Event`
Generate human readable representation of the Event

Overrides:
  `getArguments` in class `NodeEvent`
Returns:
  representation fore humans
See Also:
  "__repr__ for Event in PyYAML"

#### isFlow

    public boolean isFlow()